Subject: Re: [PATCH] pack-objects: do not reuse packfiles without --delta-base-offset

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Apr 2014 15:28:48 -0700

Jeff King <[email-masked]> writes:

> We could convert OFS_DELTA to REF_DELTA on the fly. That _may_ have a
> performance impact. Right now, we are basically doing the equivalent of
> sendfile(), and conversion would involve iterating through each object
> and examining the header.  I think that's probably not too bad, though.
> The most expensive part of that, stepping to the next object, requires
> scanning through the zlib packets, but we should be able to use the
> revidx to avoid that.
>
> I'm not sure it's even worth the code complexity, though. The non-reuse
> codepath is not that much slower, and it should be extremely rare for a
> client not to support OFS_DELTA these days.

OK, together with the fact that only ancient versions of fetcher
would trigger this "do not reuse" codepath, I agree that we should
go the simplest route this patch takes.

Thanks.